OpenMP warning in PGI 20.1

Questions on using the PGI Compilers and Tools
Post Reply
sumseq
Posts: 151
Joined: Nov 27 2012

OpenMP warning in PGI 20.1

Post by sumseq » Wed Feb 12, 2020 5:35 pm

Hi,

I am getting the following warning when I run a code compiled with PGI 20.1:

Code: Select all

WARNING: Another OpenMP runtime library has been detected in this application; its presence conflicts with NVIDIA's OpenMP runtime library and may cause incorrect application behavior.

For information about diagnosing and fixing the source of the runtime library conflict, refer to the compiler's online documentation.

To suppress this check, use the NV_OMP_DISABLE_WARNINGS=true environment variable.
Where can I find out information about this and it there is an issue or not?

I compiled the code with PGI 20.1 with OpenACC for NVIDIA GPUs.

- Ron

mkcolg
Posts: 8255
Joined: Jun 30 2004

Re: OpenMP warning in PGI 20.1

Post by mkcolg » Thu Feb 13, 2020 8:14 am

Hi Ron,

Details about this can be found in the 20.1 release notes: https://www.pgroup.com/resources/docs/2 ... penmp-chgs

-Mat

Post Reply